/* Licensed under the MIT/X Consortium license. For the full license details
 * see the file `licenses/DMENU` in my (Deven Blake's) dotfiles repository or
 * the file `LICENSE` in suckless's dmenu repository. */

static const char *colors[SchemeLast][2] = { /* { foreground, background } */
	[SchemeNorm] = { "#ff0000", "#000000" },
	[SchemeSel] = { "#ff0000", "#ffffff" },
	[SchemeOut] = { "#000000", "#ffffff" },
};

/* default font */
static const char *fonts[] = { 
	"unscii:antialias=false:size=12",
	"monospace:size=10"
};

/* -l option; if nonzero, dmenu uses vertical list with given number of lines */
static unsigned int lines = 0;

static const char *prompt = NULL;

/* if topbar == 0 it becomes a bottom bar */
static int topbar = 1;

/* Characters not considered part of a word while deleting words
 * for example: " /?\"&[]" */
static const char worddelimiters[] = " ";
